## piper 0.7

=== meson_options.txt ===
option('tests',
	type: 'boolean',
	value: true,
	description: 'Run the tests (default=yes)')

option('runtime-dependency-checks',
	type: 'boolean',
	value: true,
	description: 'Check for runtime dependencies during installation (default=yes)')

## piper 0.4

=== debian/changelog ===
piper (0.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.0, no change required.
  * Simplified copyright.

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Mon, 10 Feb 2020 12:26:01 +0100

piper (0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Dec 2019 20:19:21 -0500

piper (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #816836)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Thu, 07 Nov 2019 18:27:18 +0100

=== debian/control ===
Source: piper
Section: misc
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@protonmail.com>
Build-Depends: debhelper-compat (= 12), dh-sequence-python3, meson, pkg-config, python3, python3-evdev, python3-gi-cairo, python-gi-dev, python3-lxml
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/libratbag/piper
Vcs-Browser: https://salsa.debian.org/debian/piper
Vcs-Git: https://salsa.debian.org/debian/piper.git

Package: piper
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ratbagd (>=0.13), python3-gi-cairo, gir1.2-rsvg-2.0, python3-lxml, python3-evdev, gettext
Description: graphical frontend for libratbag
 Piper is a graphical user interface to configure gaming mice. Configuration
 options include changing the resolution (DPI) of the mouse, adding and removing
 profiles, setting LED colors and changing button behaviors.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%piper-$1.tar.gz%" \
   https://github.com/libratbag/piper/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## piper 0.5.1

=== debian/changelog ===
piper (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch fix latest flake8 from failing.

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Mon, 06 Jul 2020 12:23:47 +0200

piper (0.5-1) unstable; urgency=medium

  * New upstream release.
  * debhelper-compat 13, no change required.
  * Improve package description.

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Tue, 26 May 2020 00:44:15 +0200

=== debian/control ===
Source: piper
Section: misc
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               meson,
               pkg-config,
               python-gi-dev,
               python3-evdev,
               python3-gi-cairo,
               python3-lxml,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/libratbag/piper
Vcs-Browser: https://salsa.debian.org/debian/piper
Vcs-Git: https://salsa.debian.org/debian/piper.git

Package: piper
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi,
         python3-gi-cairo,
         python3-lxml,
         python3-evdev,
         gir1.2-rsvg-2.0,
         gettext,
         ratbagd (>=0.14),
Description: GTK application to configure gaming devices
 Piper is a graphical user interface to configure gaming devices. Configuration
 options include changing the resolution (DPI) of mice, adding and removing
 profiles, setting LED colors and changing button behaviors.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%piper-$1.tar.gz%" \
    https://github.com/libratbag/piper/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## piper 0.6

=== debian/changelog ===
piper (0.6-2) unstable; urgency=medium

  * Update standards version to 4.6.0.1, no changes needed
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 14:14:50 +0200

piper (0.6-1) experimental; urgency=medium

  * Update standards version to 4.5.1, no changes needed.
  * New upstream version 0.6

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 25 Jul 2021 11:29:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: piper
 Section: misc
 Priority: optional
-Maintainer: Stephan Lachnit <stephanlachnit@protonmail.com>
+Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                meson,
@@ -11,7 +11,7 @@
                python3-gi-cairo,
                python3-lxml,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/libratbag/piper
 Vcs-Browser: https://salsa.debian.org/debian/piper
 Vcs-Git: https://salsa.debian.org/debian/piper.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%piper-$1.tar.gz%" \
    https://github.com/libratbag/piper/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## piper 0.7

=== debian/changelog ===
piper (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 03 Jul 2022 11:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-gi-cairo,
                python3-lxml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/libratbag/piper
 Vcs-Browser: https://salsa.debian.org/debian/piper
 Vcs-Git: https://salsa.debian.org/debian/piper.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Druntime-dependency-checks=false \
		-Dtests=false

## piper 0.8

=== meson_options.txt ===
option('runtime-dependency-checks',
	type: 'boolean',
	value: true,
	description: 'Check for runtime dependencies during installation (default=yes)')

=== debian/changelog ===
piper (0.8-1) unstable; urgency=medium

  * New upstream release. Closes: #1086637.
  * Adopt the package (see #1086637).
  * Switch to pkgconf instead of pkg-config.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2025 15:53:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: piper
 Section: misc
 Priority: optional
-Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               desktop-file-utils,
                dh-sequence-python3,
+               gtk-update-icon-cache,
                meson,
-               pkg-config,
+               pkgconf,
                python-gi-dev,
                python3-evdev,
                python3-gi-cairo,
                python3-lxml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/libratbag/piper
 Vcs-Browser: https://salsa.debian.org/debian/piper
 Vcs-Git: https://salsa.debian.org/debian/piper.git
@@ -26,7 +28,7 @@
          python3-evdev,
          gir1.2-rsvg-2.0,
          gettext,
-         ratbagd (>=0.14),
+         ratbagd (>= 0.18),
 Description: GTK application to configure gaming devices
  Piper is a graphical user interface to configure gaming devices. Configuration
  options include changing the resolution (DPI) of mice, adding and removing

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Druntime-dependency-checks=false

=== debian/watch ===
version=4
https://github.com/libratbag/piper/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
